DKBSignDocs

API reference

GETRequires Bearer token

List audit events

/api/logs-audit/events

Company-admin or delegated auditor. Events are hash-chained (prev_hash, entry_hash). Categories include authentication, signature, security, and more.

Path parameters

This endpoint has no path parameters.

Query parameters

FieldTypeDescription
category
stringEvent category (for example authentication, signature, security).
e.g. "signature"
outcome
stringsuccess or failure.
e.g. "success"
action
stringActivity action (for example login).
severity
stringSeverity (critical … low).
source_service
stringOriginating service.
q
stringFull-text search.
date_from
stringLower bound.
e.g. "2026-01-01"
date_to
stringUpper bound.
limit
integerPage size (default 50).
e.g. 50
offset
integerOffset.
e.g. 0

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Audit events
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/logs-audit/events?category=signature&outcome=success&action=action&severity=severity&source_service=source_service&q=q&date_from=2026-01-01&date_to=date_to&limit=50&offset=0' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
[
  {
    "id": 91,
    "org_id": "1",
    "occurred_at": "2026-03-01T10:00:00Z",
    "actor": "Jane Doe",
    "actor_email": "user@acme.test",
    "category": "signature",
    "event_code": "document.downloaded",
    "action": "download",
    "target": "Contract.pdf",
    "outcome": "success",
    "severity": "low",
    "source_service": "front",
    "metadata": {}
  }
]